/*

tcl_lv4_init
------------

- declare la procedure absolutepath
- recherche LUSTRE_INSTALL/lib et initialise les variables :
  . tk_library
  . tcl_library
  . lustre_install


Les outils lustre bases sur tcl/tk sont prevus pour fonctionner
sans une installation locate de tcl/tk :
- les librairies c tcl tk sont linkees en statique
- les librairies run-time (les shell-scipts tcl necessaires
lors du lancement de l'application) sont supposes etre distribuees
avec l'appli, et installes dans LUSTRE_INSTALL/tcl/ et LUSTRE_INSTALL/tk/

Typiquement, la procedure initAppli invoquee dans Tk_Main doit avoir
la tete suivante :

int MonWish(Tcl_Interp* tcl_interpret){
	if(!tcl_interpret){
		return TCL_ERROR;
	}
	if(Tcl_InitLustre(tcl_interpret) != TCL_OK){
		return TCL_ERROR;
	}
	if (Tcl_Init(tcl_interpret) != TCL_OK){
		return TCL_ERROR;
	} 
	if (Tk_Init(tcl_interpret) != TCL_OK){
		return TCL_ERROR;
	} 
	return TCL_OK;	
}


Avant d'appeler Tcl_Init, toutes ces applications appelent donc
la procedure "LustreInitTclLib" qui va :
- verifier que la var d'environnement LUSTRE_INSTALL existe et pointe
bien sur un repertoire.
- que ce repertoire contient bien les 2 sous repertoire tcl et tk
- TRANSFORMER LES CHEMINS $LUSTRE_INSTALL/tcl et $LUSTRE_INSTALL/tk
en chemins ABSOLUS, et les assigner au variables tcl_library
et tk_library (ce dernier point est important pour le portage sous windows).

==> La procedure absolutepath est disponible 

*/

int Tcl_InitLustre(Tcl_Interp* tcl_interpret);

/*----------------------------------------------------------------
File : tcl_timer.h
Goal : tcl interpreter customizations
------------------------------------------------------------------
Usage :
#include <stdlib.h>
#include <stdio.h>
#include <signal.h>
#include <tcl.h>
#include <tk.h>
------------------------------------------------------------------
Procedure :

   int TimeHandler_Init(Tcl_Interp* tcl_interpret)

Input : the tcl interpret to customize, which must be already
        tcl-initialized
Output : TCL_OK or TCL_ERROR
------------------------------------------------------------------
Description :
	Add a timer handler command to a tcl interpret 
	The command is :
		add_timer <milliseconds> <command-line>
	where <milliseconds> is a positive integer
	and <command-line> a tcl script
	the return value is a timer-token that can be used in :
		abort_timer <timer-handler>
----------------------------------------------------------------*/
extern int TimeHandler_Init(Tcl_Interp* tcl_interpret);
